Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class PoliceForceInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.PoliceForceInformation

All Implemented Interfaces:
  IMessage

    public class PoliceForceInformation

extends WorldInformation

The class represent the police force information

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`PoliceForceInformation(int time, rescuecore2.worldmodel.EntityID pfID, int hp, int damage, int buriedness, rescuecore2.worldmodel.EntityID areaID)` Constructor
`PoliceForceInformation(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`int` | `getBuriedness()` Return buryedness of the pf.
`int` | `getDamage()` Return damege of the pf.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`
`int` | `getHP()` Return hp of the pf.
`rescuecore2.worldmodel.EntityID` | `getPoliceForceID()` Return EntityID of the pf.
`rescuecore2.worldmodel.EntityID` | `getPositionID()` Return EntityID of area that the pf is standing.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoliceForceInformation

    public PoliceForceInformation(int time,
                                  rescuecore2.worldmodel.EntityID pfID,
                                  int hp,
                                  int damage,
                                  int buriedness,
                                  rescuecore2.worldmodel.EntityID areaID)

  ## Constructor

  Create the information of the police force.
  Included data are follow.
  - time:the time that the message is created.(int)
  - pfID:EntityID of the pf
  - hp:hp of the pf
  - damage:damage of the pf
  - buriedness:buriedness of the pf
  - areaID:EntityID of area that the pf is standing.

  Parameters:
    `time` - step num
    `pfID` - EntityID of the pf
    `hp` - hp of the pf
    `damage` - damage of the pf
    `buriedness` - buriedness of the pf
    `areaID` - EntityID of area

### PoliceForceInformation

    public PoliceForceInformation(java.util.List<java.lang.Integer> bitList,
                                  int offset,
                                  java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getPoliceForceID

    public rescuecore2.worldmodel.EntityID getPoliceForceID()

  Return EntityID of the pf.

  Returns:
    EntityID

### getHP

    public int getHP()

  Return hp of the pf.

### getDamage

    public int getDamage()

  Return damege of the pf.

  Returns:
    damage

### getBuriedness

    public int getBuriedness()

  Return buryedness of the pf.

  Returns:
    buryedness

### getPositionID

    public rescuecore2.worldmodel.EntityID getPositionID()

  Return EntityID of area that the pf is standing.

  Returns:
    EntityID

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD